<%- include ("layouts/header") %>

	<div class="container">
		<h1 class="pushContainer">Search results: <%= query %></h1>
		<div class="row text-center">
			<%
			videos.forEach(function (video) { %>
			<div class="col-md-3 mb-4">
				<div class="card h-100">
					<img src="<%= baseUrl + video.thumbnail %>" 
						 class="card-img-top" 
						 style="height: 300px; object-fit: cover;">
					<p><%= video.minutes + ":" + video.seconds %></p>
					<div class="card-body">
						<h4 class="card-title"><%= video.title %></h4>
						<p class="card-text"><%= video.category %></p>
					</div>
					<div class="card-footer">
						<a href="/api/v1/video/watch/<%= video.watch %>" class="btn btn-primary">View</a>
					</div>
				</div>
			</div>
			<%})
			%>
		</div>
	</div>

<%- include ("layouts/footer") %>